package edu.travel.adapter.service.order;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.dto.OrderStatusDto;
import edu.travel.remote.order.OrderStatusDictiRemoteController;
import edu.travel.remote.vo.OrderStatusVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class OrderStatusAdapter {
    @Autowired
    private OrderStatusDictiRemoteController orderStatusDictiRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<List<OrderStatusVo>> list(){
        return orderStatusDictiRemoteController.list();
    }
    @AdapterAnnotation
    public RPCBaseResponse<Void> saveOrUpdate(OrderStatusDto dto){
        return orderStatusDictiRemoteController.saveOrUpdate(dto);
    }
    @AdapterAnnotation
    public RPCBaseResponse<Void> remove(OrderStatusDto dto){
        return orderStatusDictiRemoteController.remove(dto);
    }

}
