package edu.travel.adapter.service.order;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.remote.order.ShopOrderTypeChangeRemoteController;
import edu.travel.remote.vo.OrderStateVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
public class ShopOrderLogAdapter {
    @Autowired
    private ShopOrderTypeChangeRemoteController shopOrderTypeChangeRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<Void> addOrderLog(AddOrderLogDto params) {
        return shopOrderTypeChangeRemoteController.addOrderLog(params);
    }
    @AdapterAnnotation
    public RPCBaseResponse<List<OrderStateVo>> getOrderStateByOrderNum(String orderNum){
        return shopOrderTypeChangeRemoteController.getOrderStateByOrderNum(orderNum);
    }

}
