package edu.travel.controller;

import edu.travel.adapter.service.order.OrderStatusAdapter;
import edu.travel.remote.dto.OrderStatusDto;
import edu.travel.remote.vo.OrderStatusVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 订单状态字典(order_status_dicti)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/orderStatusDicti")
public class OrderStatusController {
    @Autowired
    private OrderStatusAdapter orderStatusAdapter;
    /**
     *  列表
     * @return {@link RPCBaseResponse }<{@link List }<{@link OrderStatusVo }>>
     */

    @GetMapping("/list")
    public RPCBaseResponse<List<OrderStatusVo>> list() {
        return orderStatusAdapter.list();
    }

    /**
     *  新增或修改
     * @param dto
     * @return {@link RPCBaseResponse }<{@link Void }>
     */

    @GetMapping("/add")
    public RPCBaseResponse<Void> saveOrUpdate(OrderStatusDto dto) {
        return orderStatusAdapter.saveOrUpdate(dto);
    }

    /**
     *  删除
     * @param dto
     * @return {@link RPCBaseResponse }<{@link Void }>
     */

    @GetMapping("/remove")
    public RPCBaseResponse<Void> remove(OrderStatusDto dto) {
        return orderStatusAdapter.remove(dto);
    }



}
