package edu.travel.remote.order;

import edu.travel.remote.dto.OrderStatusDto;
import edu.travel.remote.vo.OrderStatusVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = "order-dev", path = "/orderStatusDicti")
public interface OrderStatusDictiRemoteController {
    @GetMapping("/list")
    public RPCBaseResponse<List<OrderStatusVo>> list();

    @GetMapping("/add")
    public RPCBaseResponse<Void> saveOrUpdate(@SpringQueryMap OrderStatusDto dto);

    @GetMapping("/remove")
    public RPCBaseResponse<Void> remove(@SpringQueryMap OrderStatusDto dto);


}
