package edu.travel.remote.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.AddOrderDto;
import edu.travel.remote.dto.GetOrderItemInfoByOrderNumDto;
import edu.travel.remote.dto.ShopOrderDto;
import edu.travel.remote.dto.ShowOrderInfoDto;
import edu.travel.remote.vo.OrderItemVo;
import edu.travel.remote.vo.ShopOrderVo;
import edu.travel.remote.vo.ShowOrderInfoVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "order-dev", path = "/shopOrder")
public interface ShopOrderRemoteController extends RemoteBaseController<ShopOrderVo, ShopOrderDto> {
    @PostMapping("/addShopOrder")
    RPCBaseResponse<Void> addShopOrder(@SpringQueryMap AddOrderDto params);

    @GetMapping("/orderInfoByOrderNum")
    public RPCBaseResponse<ShowOrderInfoVo> orderInfoByOrderNum(@RequestParam("orderNum") String orderNum);

    @GetMapping("/changeOrderState")
    public RPCBaseResponse<Void> changeOrderState(@RequestParam("orderNum") String orderNum, @RequestParam("state") String state);


    @GetMapping("/showOrderInfo")
    public RPCBaseResponse<Page<ShowOrderInfoVo>> showOrderInfo(@SpringQueryMap ShowOrderInfoDto params);


    @GetMapping("/getOrderItemInfo")
    public RPCBaseResponse<Page<OrderItemVo>> getOrderItemInfo(@SpringQueryMap GetOrderItemInfoByOrderNumDto params);
}
