package edu.travel.remote.order;

import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.remote.vo.OrderStateVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "order-dev", path = "/shopOrderTypeChange")
public interface ShopOrderTypeChangeRemoteController {

    @PostMapping("/addOrderLog")
    public RPCBaseResponse<Void> addOrderLog(@SpringQueryMap AddOrderLogDto params);

    @GetMapping("/getOrderStateByOrderNum")
    public RPCBaseResponse<List<OrderStateVo>> getOrderStateByOrderNum(@RequestParam("orderNum") String orderNum);

}
