package edu.travel.commodity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.entity.ShopSpecValue;
import edu.travel.commodity.mapper.ShopSpecValueMapper;
import edu.travel.commodity.service.ShopSpecValueService;
import edu.travel.remote.vo.ShopSpecValueVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ShopSpecValueServiceImpl extends ServiceImpl<ShopSpecValueMapper, ShopSpecValue> implements ShopSpecValueService {

    @Override
    public RPCBaseResponse<List<ShopSpecValueVo>> getSpecValue(String specValue) {
        //模糊查询规格值
        LambdaQueryWrapper<ShopSpecValue> query = Wrappers.<ShopSpecValue>lambdaQuery()
                .like(ShopSpecValue::getSpecValue, specValue);
        List<ShopSpecValue> specValues = list(query);
        return RPCBaseResponse.success(BeanUtil.copyToList(specValues, ShopSpecValueVo.class));
    }
}
