package edu.travel.warehouse.web;

import cn.hutool.core.bean.BeanUtil;
import edu.travel.dto.InsertWarehouseStaffDto;
import edu.travel.dto.ShopWarehouseStaffDto;
import edu.travel.remote.ShopWarehouseStaffRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.warehouse.entity.ShopWarehouse;
import edu.travel.warehouse.entity.ShopWarehouseStaff;
import edu.travel.warehouse.service.ShopWarehouseService;
import edu.travel.warehouse.service.ShopWarehouseStaffService;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;


@RestController
@RequestMapping("/shopWarehouseStaff")
class ShopWarehouseStaffController extends BaseController<ShopWarehouseStaff> implements ShopWarehouseStaffRemoteController {
    @Autowired
    private ShopWarehouseStaffService shopWarehouseStaffService;
    @Autowired
    private ShopWarehouseService shopWarehouseService;

    /**
     *  新增库房人员关联
     * @return {@link RPCBaseResponse }<{@link Boolean }>
     */
    @PostMapping("/insertWarehouseStaff")
    public RPCBaseResponse<Boolean> insertWarehouseStaff(@RequestBody InsertWarehouseStaffDto staffDto){

        List<ShopWarehouse> shopWarehouses = shopWarehouseService.getBaseMapper().selectBatchIds(staffDto.getWarehouseIds());
        ArrayList<ShopWarehouseStaff> shopWarehouseStaffs = new ArrayList<>();
        for (ShopWarehouse shopWarehouse : shopWarehouses) {
            ShopWarehouseStaff shopWarehouseStaff = new ShopWarehouseStaff();
            shopWarehouseStaff.setWarehouseId(shopWarehouse.getId());
            shopWarehouseStaff.setUserId(Long.valueOf(staffDto.getUserId()));
            shopWarehouseStaffs.add(shopWarehouseStaff);
        }
        return RPCBaseResponse.success(shopWarehouseStaffService.saveBatch(shopWarehouseStaffs));
    }





}
